Bug 977736 - Appclient starting script and configuration file shouldn't be installed without appclient option selected
Appclient starting script and configuration file shouldn't be installed witho...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.1.1,6.2.0
Unspecified Unspecified
unspecified Severity low
: CR1
: EAP 6.1.1,EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 04:57 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using the installer for JBoss EAP 6, if the +*AppClient*+ check box on the _Pack Installation_ screen was cleared, AppClient files would still be installed. This issue with the installer has been fixed in this release of JBoss EAP 6 so that AppClient files will only be installed if the +*AppClient*+ check box is selected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:19:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-06-25 04:57:05 EDT
Files appclient.[sh|bat] and appclient.conf[.bat] should not be installed if I decide not to install appclient as they are useless.
Comment 1 Thomas Hauser 2013-06-25 11:46:37 EDT
I've made the required changes. Appclient scripts will only appear when the Appclient box is checked.
Comment 2 Petr Kremensky 2013-07-08 09:39:31 EDT
Verified on EAP 6.1.1 ER2
Comment 4 Petr Kremensky 2013-10-22 08:57:25 EDT
I found this again on EAP 6.2.0.ER6. 

appclient.[sh|bat] and appclient.conf[.bat] files are there again.
Comment 5 Francisco Canas 2013-11-06 16:33:49 EST
Found a second pack that was installing all files found in the /bin folder, including the appclient scripts. Added an exclusion. The appclient files are now only installed when the appclient pack is selected.

See:
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=23ed247aff63ac30d808694694b7b7e2707885c4
Comment 6 Petr Kremensky 2013-11-15 04:20:22 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.